## Apache Zeta Components Manual :: Docs For Class ezcFeedIdElement

### Feed::ezcFeedIdElement

### Class ezcFeedIdElement

Class defining an identifier.

Source for this file: /Feed/src/structs/id.php

    ezcFeedElement
       |
       --ezcFeedIdElement

Version: | //autogentag//

### Properties

string | read/write | `$id` The value of the identifier.
bool | read/write | `$isPermaLink` The permanent link state of the identifier.

### Member Variables

public string | `$id` The identifier value.
public bool | `$isPermaLink` The permanent link state of the identifier value.

### Inherited Member Variables

From ezcFeedElement
protected | `ezcFeedElement::$properties`

### Method Summary

public string | `__toString( )` Returns the id attribute.

### Methods

#### __toString

string __toString( )

Returns the id attribute.

Documentation generated by phpDocumentor 1.4.3